Bug 478886 - Investigate options for open sourcing Red Hat Bugzilla
Investigate options for open sourcing Red Hat Bugzilla
Status: ASSIGNED
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
: FutureFeature, Reopened
Depends On: 1308391
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 15:49 EST by David Lawrence
Modified: 2018-05-24 03:07 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 02:52:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2009-01-05 15:49:37 EST
Description of problem:
Some people have requested that Red Hat put up a downloadable tarball or srpm of our current code base so that others may use our changes. We need to sanitize the code to make sure that all sensitive Red Hat information has been removed. These include any database/xmlrpc usernames and passwords, any internal URL's/hostnames, and any other code that outlines any internal processes that we want to keep confidential.

The current Makefile excludes data/params and localconfig from the srpm's/rpm's
so that part is pretty much done.

Once we have the code cleaned up we can upload the srpm to a people.redhat.com site and then create a link to it from index.cgi
Comment 1 David Lawrence 2010-01-15 12:33:48 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 2 David Lawrence 2010-08-25 17:44:31 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 4 Jeff Fearn 2012-05-30 00:49:44 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 5 R P Herrold 2012-06-04 10:45:27 EDT
This issue remains viable and unfixed ... a typo in commend 4 perhaps -- 4.2

and needs a re-assign to the 4.2 level as the component

-- Russ herrold
Comment 6 Simon Green 2012-06-19 02:52:05 EDT
This won't be happening. Core code contains Red Hat business rules, especially Bugzilla/Bug.pm. Red Hat provide upstream's Bugzilla code in our repos.

  -- simon
Comment 9 Jason McDonald 2014-08-13 22:40:07 EDT
Another issue that needs to be addressed is the large number of places in the git repo where Red Hat-specific email addresses, groups, and variable names are used.  Some of these are actually obsolete (e.g. the crontab), but those that are still used should probably be config items rather than hard-coded values.
Comment 17 Jeff Fearn 2016-04-28 01:02:27 EDT
Easy way to vet commit logs:

$ git shortlog -e > git.log

Only 10K lines!
Comment 20 Jeff Fearn 2016-12-08 18:59:41 EST
FYI I have worked with sourceware.org to get https://sourceware.org/gerrit/ set-up. It's hosted in our PHX2 DC.

Waiting on the blocking bug to move there.

Note You need to log in before you can comment on or make changes to this bug.